
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jquery ajax 向后台传递数组参数示例_AJAX相关 / iVAN</title>

    <meta name="description" content="jquery ajax 向后台传递数组参数示例_AJAX相关 需求: 在JS中向后台传递数组参数 分析: JS中的数组是弱类型的可以放任何类型(对象.基本类型),但是如果数组中放的是对象类型,传递到后台是显示的只能是对象字符串--[object Object],原因如下: 在后台接收的时候,只能用request来接收,request.getParameterValues()方法返回的是一个String[],所以,应该是在前台传输的时候调用了对象的toString()方法,那么如果依然想传递对象怎么办?凉拌! 但是可以使用JSON字符串来实现,在后台把JSO">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jquery ajax 向后台传递数组参数示例_AJAX相关</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>需求：</strong> <br />在JS中向后台传递数组参数</p>
<p><strong>分析：</strong> <br />JS中的数组是弱类型的可以放任何类型（对象、基本类型），但是如果数组中放的是对象类型，传递到后台是显示的只能是对象字符串--[object Object],原因如下： <br />在后台接收的时候，只能用request来接收，request.getParameterValues()方法返回的是一个String[],所以，应该是在前台传输的时候调用了对象的toString()方法,那么如果依然想传递对象怎么办？凉拌！ <br />但是可以使用JSON字符串来实现，在后台把JSON字符串解析成JAVA对象。</p>
<p>也许，你要说如果是复合对象怎么办，比如如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public class Person { <br />private String username; <br />private String password; <br />private Address addr; <br />}</p>
<p>Person对象里有个Address类型的addr属性，没关系，任何对象最终用到的属性值都是基本数据类型，只需要使用对应的包装类型parseInt、或者parseXXX解析即可。</p>
<p><strong>实现：</strong> <br />OK，原理就是这么个。先看JS如何写：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var as = []; <br />var temp = []; <br />for ( var int = 0; int &lt; 5; int++) { <br />temp.push('{"k":'); <br />temp.push(int); <br />temp.push(',"v":'); <br />temp.push(int); <br />temp.push('}'); <br />as.push(temp.join("")); <br />} <br />//Jquery中的方法，具体参考Jquery API <br />$.post( <br />"servlet/AjaxServlet?m=putWarningRule",{"aa":as} <br />);</p>
<p>最终拼成的串就是如下样式，（只作举例）</p>
<p><u>复制代码</u> 代码如下:</p>
<p>{"k":0,"v":0}</p>
<p>后台接收，不讨论任何框架，只需要HttpServletRequest即可</p>
<p><u>复制代码</u> 代码如下:</p>
<p>String[] jsonArr = request.getParameterValues("aa[]");</p>
<p>有一点需要注意，在js中传参的时候参数名叫"aa"，而在后台接收的时候却是"aa[]"，这里应该是Jquery做了转换，所以最好的方式就是在JS中就改为"aa[]"，之所以这里没有写"[]"是为了说明问题。可以使用如下方式打印request中的所有参数</p>
<p><u>复制代码</u> 代码如下:</p>
<p>Enumeration&lt;String&gt; names = request.getParameterNames(); <br />while (names.hasMoreElements()) { <br />String string = (String) names.nextElement(); <br />System.out.println(string); <br />}</p>
<p>OK，至此为止，已经接收完毕，剩下的就是如何将一个JSON字符串转成一个POJO了。我使用jsontools-core-1.7.jar，此jar包依赖antlr-2.7.7.jar，自行到代码库中下载，下载完毕，导入classpath，写一个简单的工具类，主要有这么2个方法：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>/** <br />* 将对象转换为JSON格式的字符串 <br />* @param obj <br />* @return 返回JSON字符串 <br />*/ <br />public static String toJSONAsString(Object obj){ <br />try { <br />return JSONMapper.toJSON(obj).render(false); <br />} catch (MapperException e) { <br />e.printStackTrace(); <br />} <br />return null; <br />}</p>
<p>@SuppressWarnings("unchecked") <br />public static &lt;T&gt; T jsonToObject(String jsonStr, Class&lt;T&gt; targetClass) throws TokenStreamException, RecognitionException, MapperException{ <br />JSONValue jv = new JSONParser(new StringReader(jsonStr)).nextValue(); <br />return (T) JSONMapper.toJava(jv,targetClass); <br />}</p>
<p>//test <br />public static void main(String[] args) throws Exception { <br />Person p = new Person(); <br />p.setK("a"); <br />p.setV("v");</p>
<p>String json = toJSONAsString(p); <br />Person np = jsonToObject(json,Person.class); <br />System.out.println(np.getK()+"=="+np.getV()); <br />}</p>
<p>request取到值后，遍历数组，挨个转换</p>
<p><u>复制代码</u> 代码如下:</p>
<p>Person p = JSONUtils.jsonToObject(jsonArr[0], Person.class);</p>
<p>Person类如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public class Person { <br />private String k; <br />private String v; <br />public String getK() { <br />return k; <br />} <br />public void setK(String k) { <br />this.k = k; <br />} <br />public String getV() { <br />return v; <br />} <br />public void setV(String v) { <br />this.v = v; <br />} <br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 21:46:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/ajax/" title="ajax">ajax</a>, <a href="https://www.iamivan.net/tag/%e4%bc%a0%e9%80%92%e6%95%b0%e7%bb%84/" title="传递数组">传递数组</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jquery ajax 向后台传递数组参数示例_AJAX相关的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN3ZZb.html" rel="bookmark">jquery ajax 向后台传递数组参数示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JS中向后台传递数组参数,如果数组中放的是对象类型,传递到后台是显示的只能是对象字符串--[object Object],具体的原因及解决方法如下,有类似问题的朋友可以参考下   需求: 在JS中向后台传递数组参数 分析: JS中的数组是弱类型的可以放任何类型(对象.基本类型),但是如果数组中放的是对象类型,传递到后台是显示的只能是对象字符串--[object Object],原因如下: 在后台接收的时候,只能用request来接收,request.getParameterValues()方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5Lo0z.html" rel="bookmark">jQuery中通过ajax调用webservice传递数组参数的问题实例详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面通过实例给大家说明比较直观些,更方便大家了解. 本人的项目中通过jquery.ajax调用webservice. 客户端代码如下: $.ajax({ url: &quot;test/xxx.asmx&quot;, type: 'POST', dataType: 'xml', timeout: , data: { name: &quot;zhangsan&quot;, tags: [&quot;aa&quot;, &quot;bb&quot;, &quot;cc&quot;] }, error: fun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmEQq7p.html" rel="bookmark">解决AJAX请求中含有数组的办法&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家应该都发现了当我们发送AJAX请求的数据中带有数组时,是不能像普通JSON数据一样,直接放在data里发送给后台 比如有这样一个数据需要发送给后台: { &quot;orderId&quot;: 22, &quot;resourceJson&quot;: [ { &quot;carCapacity&quot;: 223, &quot;carNumber&quot;: &quot;123&quot;, &quot;driverInfo&quot;: &quot;123&quot;, &quot;fail			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0RNOp.html" rel="bookmark">jQuery Ajax方式上传文件的方法&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery Ajax方式上传文件用到两个对象 第一个对象:FormData 第二个对象:XMLHttpRequest 目前新版的Firefox 与 Chrome 等支持HTML5的浏览器完美的支持这两个对象,但IE9尚未支持 FormData 对象,还在用IE6 ? 只能仰天长叹.... 有了这两个对象,我们可以真正的实现Ajax方式上传文件. 示例代码: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;Html5 Ajax 上传			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NA0Vb.html" rel="bookmark">理解jquery ajax中的datatype属性选项值&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery中ajax的dataType属性用于指定服务器返回的数据类型,如果不指定,jQuery 将自动根据HTTP包MIME信息来智能判断,如果datatype选项不填写的话,会将返回的数据当成字符串处理. 一.ajax语法 复制代码 代码如下: jQuery.ajax([settings]) 参数说明 settings:用于配置 Ajax 请求的键值对集合.可以通过 $.ajaxSetup() 设置任何选项的默认值. 二.ajax的datatype选项的值 1.&quot;xml&quot;:返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWdPEz.html" rel="bookmark">jquery的ajax同步和异步的理解及示例&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前一直在写JQUERY代码的时候遇到AJAX加载数据都需要考虑代码运行顺序问题.最近的项目用了到AJAX同步.这个同步的意思是当JS代码加载到当前AJAX的时候会把页面里所有的代码停止加载,页面出去假死状态,当这个AJAX执行完毕后才会继续运行其他代码页面假死状态解除. 而异步则这个AJAX代码运行中的时候其他代码一样可以运行. jquery的async:false,这个属性 默认是true:异步,false:同步. 复制代码 代码如下: $.ajax({ type: &quot;post&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmv63z.html" rel="bookmark">&dollar;&period;ajax&lpar;&rpar;方法进行网页间传值示例&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajaxtext1.jsp 复制代码 代码如下: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;utf-8&quot;%&gt; &lt;script type=&quot;text/javascript&quot; language=&quot;javascript&quot; src=&quot;jquery.js&quot;&gt;&lt;/script&gt; &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NAe3b.html" rel="bookmark">Ajax&mdash;&mdash;异步检查用户名是否存在示例&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在任何网站注册用户的时候,都会检查用户是否已经存在.很久以前的处理方式是将所有数据提交到服务器端进行验证,很显然这种方式的用户体验很不好:后来有了Ajax,有了异步交互,当用户输完用户名继续填写其他信息的时候,Ajax就将信息发到了服务器去检查该用户名是否已经被注册了,这样如果用户名已经存在,不用等用户将所有数据都提交就可以给出提示.采用这种方式大大改善了用户体验. regist.jsp 复制代码 代码如下: &lt;%@ page language=&quot;java&quot; contentTyp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYJWob.html" rel="bookmark">一个伪ajax图片上传代码实现示例&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;?php if($_FILES){ ?&gt; &lt;script&gt; window.parent.ajaxUploadPicture.uploadCallback('yun_qi_img/5099213b07eca8065380ce7f75e95dda144ad348269.jpg'); &lt;/script&gt; &lt;?php die; } ?&gt; &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;s			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrAo6b.html" rel="bookmark" class="title">《Java极限编程》（Java Tool for Extreme Programming）读书笔记 （4）</a>
					<div>
						笔记|编程 第四章 使用Ant进行持续整合这一章是对Ant的一个基础介绍,包括1.Ant构建文件 build.xml2.项目 &lt;project name=&quot;myproject&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnPVjb.html" rel="bookmark" class="title">CSS趣味实用代码：图片防盗链</a>
					<div>
						css|防盗链 实现方法很简单 在CSS中添加以下代码: img { filter:expression( this.不能去掉 ? &quot;&quot; : ( (!this.complete)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLVJOb.html" rel="bookmark" class="title">Oracle逻辑备份的应用案例</a>
					<div>
						案例1: 误删除user及所有的对象,恢复 1)创建用户,并分配权限 06:14:01 SQL&gt; create user scott identified by tiger default ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7Z35M.html" rel="bookmark" class="title">枚举Enum的用法</a>
					<div>
						一.前言 对于枚举Enum,大家都非常熟悉,但枚举出现的场景非常多的时候,是不是可以抽象出一个通用的解决方式.代码大家都会写,但并不是所有人都喜欢写重复的代码,老是用Ctrl+C和Ctrl+V累不累啊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP6JOz.html" rel="bookmark" class="title">Photoshop给图片加上唯美的晨曦逆光效果</a>
					<div>
						  Photoshop给图片加上唯美的晨曦逆光效果           素材图片并没有阳光,我们先把背景天空部分换上霞光素材;然后在合适的位置渲染出阳光;再把图片边角区域压暗,主色多增加一些暖色;最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLeqeb.html" rel="bookmark" class="title">SQL 2005 Express怎么导入ACCESS数据库？</a>
					<div>
						  这篇文章主要介绍了SQL2005Express中导入ACCESS数据库的方法,需要的朋友可以参考下 方法一:单表导入 (1)打开&quot;SQL Server 外围应用配置器&quot;--&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7e8mM.html" rel="bookmark" class="title">Android画图并保存图片的具体实现代码</a>
					<div>
						这篇文章介绍了在Android中画图并保存图片的实例,以下是具体的实现方法,有需要的朋友可以参考一下   Canvas是一个画布,你可以建立一个空白的画布,就直接new一个Canvas对象,不需要参数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN9j1b.html" rel="bookmark" class="title">Photoshop打造甜美的暗调蓝褐色美女婚片</a>
					<div>
						图片的构图非常完美,不过暗部比例过大.处理的时候可以稍微在画面中增加一些高光,主色可以选一些褐色或暗色.这样整体就会更融合一点. 原图 &lt;点小图查看大图&gt; 最终效果 &lt;点小图查看大图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNEQAb.html" rel="bookmark" class="title">谷歌浏览器总是出现崩溃怎么办</a>
					<div>
						  1.首先,咱们需要返回到win8系统的传统桌面位置,之后,咱们同时按下win8电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,咱们输入regedit并单击回车,这样就可以进入到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkLeLb.html" rel="bookmark" class="title">PS结合SAI把美女自拍照转为唯美的仿手绘效果</a>
					<div>
						  教程介绍的仿手绘方法有点难度,操作上基本接近纯手绘.大致过程:先在PS中调整一下颜色,明暗等;然后转到SAI中根据原图慢慢手绘,五官等的绘制跟仿手绘一样. 原图 最终效果 1.选这图的原因:一来是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72AWrp.html" rel="bookmark" class="title">botobjects prodesk3d打印方法</a>
					<div>
						  1.当打印开始时,按'print' (打印)键.确保在打印床上或喷嘴下面没有渗漏细丝. a. 如果模型没有正确涂抹在打印床上,并在打印几层以后开始脱离,那么您需要重新调整打印床或Z轴距离. 2.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXYOrp.html" rel="bookmark" class="title">桌面应用如何移到别的磁盘？</a>
					<div>
						  相信很多人都喜欢把要处理的文件放在桌面上,这样存放使用方便,打开电脑就能看见所需的文件.然而,系统默认的桌面是在c盘,一旦系统出问题,恢复系统时桌面存放的文件都将灰飞烟灭.有没有什么办法把整个桌面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7B43b.html" rel="bookmark" class="title">U盘复制文件致电脑重启的原因</a>
					<div>
						  你有没有遇到过用U盘复制文件的时候电脑总是重启,但是U盘拔掉之后就不会了,用杀毒软件也没用,重做系统也没用,到底是哪里出了问题呢? 其实这样问题并不多见,不过首先要百分之百确认U盘里没有病毒或者木 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXVGGp.html" rel="bookmark" class="title">线程管理（十）线程组</a>
					<div>
						线程组 Java并发 API里有个有趣的方法是把线程分组.这个方法允许我们按线程组作为一个单位来处理.例如,你有一些线程做着同样的任务,你想控制他们,无论多少线程还在运行,他们的状态会被一个call  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYgwoM.html" rel="bookmark" class="title">linux下编程 ，关于信号sigaction中的sa&lowbar;flags ，一些改变却不起作用</a>
					<div>
						问题描述 linux下编程 ,关于信号sigaction中的sa_flags ,一些改变却不起作用 linux下编程 ,关于信号sigaction中的sa_flags ,一些改变却不起作用 本人最近在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wkvmb.html" rel="bookmark" class="title">jqgrid翻页按钮不现实</a>
					<div>
						问题描述 jqgrid翻页按钮不现实 在js页面中已经设置pgbuttons:true,但是页面就是没有按钮,最后chrome开发者工具点进去看,确实有那个元素,下面是截图,不知道怎么回事,望大神花两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oGNBb.html" rel="bookmark" class="title">传统行业产品转型</a>
					<div>
						摘要: 从事产品经理这些年以来,大到主要负责三茅招聘软件平台和美赛达B2C/APP商城的产品规划,需求分析和产品设计.小到移动端各种行业的APP产品规划和运营,和一些运营平台服务型产品 从事产品经理这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdyY4M.html" rel="bookmark" class="title">比较不错的函数式JavaScript编程指南教程&lowbar;javascript技巧</a>
					<div>
						你是否知道JavaScript其实也是一个函数式编程语言呢?本指南将教你如何利用JavaScript的函数式特性. 要求:你应当已经对JavaScript和DOM有了一个基本的了解. 写这篇指南的目的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQKDNp.html" rel="bookmark" class="title">校园网怎么用自己的电脑做服务器建网站，花生壳貌似无能为力</a>
					<div>
						问题描述 稍微研究了一下花生壳,貌似校园网它也无能为力的样子.有没有其他的方法可以用自己电脑党服务器建网站的. 解决方案 解决方案二:建议还是买个阿里云吧,最低配就40多块钱一个月,对于学生来说还可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Q7Jp.html" rel="bookmark" class="title">求助matlab遗传算法求解0-1整数规划的代码</a>
					<div>
						问题描述 求助matlab遗传算法求解0-1整数规划的代码 新手想用matlab遗传算法求解一个0-1整数规划,但是自己不会,有没有程序可以供参考下?或者对0-1整数规划有没有更好的其他软件.方法可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2o8jb.html" rel="bookmark" class="title">全球五大智能手机联想位居华首</a>
					<div>
						 代表着未来通信发展方向 &quot;2013MWC全球移动通信大会&quot;的每一次开幕,都预示着移动互联网日后影响未来人们工作.生活.娱乐及休闲的变革序幕再次开启.而在此次MWC大会上,以联想为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Dd8b.html" rel="bookmark" class="title">建站必备的工具&excl;比dreamweaver更好的自助建站工具</a>
					<div>
						免费试用啦!史上最灵活最神奇的自助建站工具! 去看看, 卓天网络,首先问大家两个问题: ①现在找人做一个纯静态的企业展示型网站,加上购买域名空间,要多少钱? ②做一个简/繁/英三语同步,繁简自动转换, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQNxOp.html" rel="bookmark" class="title">PostgreSQL 流行 HA 方案</a>
					<div>
						PostgreSQL 流行 HA 方案 作者 digoal 日期 2016-10-30 标签 PostgreSQL , HA , zookeeper , etcd , haproxy , Pacema ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N4noM.html" rel="bookmark" class="title">代码-从服务器上下载的压缩文件，通过流的方式怎么读取文件中的内容。</a>
					<div>
						问题描述 从服务器上下载的压缩文件,通过流的方式怎么读取文件中的内容. 如何用java代码实现压缩文件的读取? 例如从银行服务器上下载对账文件后,为了不在本地保存文件. 压缩文件中的文件格式是俩个文本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l5Rob.html" rel="bookmark" class="title">cstring-MFC  在vs，debug下运行，容易中断。跟串口数据有关。</a>
					<div>
						问题描述 MFC 在vs,debug下运行,容易中断.跟串口数据有关. MFC在DEBUG下运行,程序读取的串口数据容易发生错误,如漏掉某些字符等. 这样,在串口数据提取时,容易提取到错误信息. 比如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRveXz.html" rel="bookmark" class="title">ZigBee CC2530两个之间怎么相互通信，相互传送数据？求大神帮忙</a>
					<div>
						问题描述 ZigBee CC2530两个之间怎么相互通信,相互传送数据?求大神帮忙 ZigBee CC2530两个之间怎么相互通信?就是实现两个ZigBee板子之间相互传输数据 解决方案 ZigBee ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40NOJz.html" rel="bookmark" class="title">&lbrack;Python&comma;print&rsqb;如何获取python print语句打印到console的值？</a>
					<div>
						问题描述 大家好,我的问题是这样的:我在调用一个函数solve()的过程中,这个函数会不停的向console打印值,但是这个函数不是我写的,我只能从外部看到这些打印出来的语句而无法获得他的值.现在的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYEK7p.html" rel="bookmark" class="title">献给创业者的歌</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;        在路上&lt;赢在中国&gt;主题歌作词:王 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRKQNb.html" rel="bookmark" class="title">C&num;控制台如何模拟键盘输入，以使之前的ReadLine无效？</a>
					<div>
						问题描述 如题.线程A用ReadLine检测键盘输入.中止线程A,开启线程B,继续用ReadLine检测键盘输入.由于线程A的ReadLine,需要一次额外的输入,才能开始线程B的ReadLine.如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1V5Oz.html" rel="bookmark" class="title">java-框架-apache&period;commons&period;&ast;工具</a>
					<div>
						Apache Commons类库 1.1. 开篇 在Java的世界,有很多(成千上万)开源的框架,有成功的,也有不那么成功的,有声名显赫的,也有默默无闻的.在我看来,成功而默默无闻的那些框架值得我们格 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
